<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-color: white;" summary="">
	<TR><TD height="39" style="background-image: url('images/tbg.gif'); background-repeat: repeat-x;"></TD></TR>
	<TR>
		<TD height="51" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="" style="height: 100%">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="9" align="right" style="background-image: url('images/theader_l.gif'); background-repeat: no-repeat;">
			<img src="images/theader_r.gif" border="0" alt=""/></TD>
	</TR>
	<TR>
		<TD height="138">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td align="center" class="company" style="background-image: url('images/logo_bg.gif'); padding-right: 10px;">
						<!-- LOGO -->
						<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a><br/><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
						<!-- END LOGO -->
						<div style="width:204px; height:1px;"><spacer type="block" width="204" height="1"/></div>
					</td>
					<td width="100%" align="center" style="background-image: url('images/header.jpg'); background-position: center; background-repeat: no-repeat; padding: 0 30px;">
						<div style="padding-left: 270px;"><div class="slogan" style="width: 160px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></div>
					</td>
					<td><img src="images/header_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="8" align="right" style="background-image: url('images/bheader_l.gif'); background-repeat: no-repeat;">
			<img src="images/bheader_r.gif" border="0" alt=""/></TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" class="bg">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y;">
				<tr>
					<td style="background-image: url('images/bg.gif'); background-position: right; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/submenu_tbg.gif'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="background-image: url('images/bg_t.gif'); background-position: top right; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 218px;">
										<tr valign="top">
											<td style="padding: 45px 10px 0 28px;">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" border="0" summary="" width="177">
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
												</table>
												<!-- END SUBMENU -->
											</td>
											<td width="100%" class="pageContent" style="padding: 33px 70px 36px;">
												<!-- CONTENT -->
												<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<!-- END CONTENT -->
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="54" style="background-image: url('images/b_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/b_l.gif'); background-repeat: no-repeat;">
				<tr><td style="background-image: url('images/b_r.gif'); background-position: right; background-repeat: no-repeat;"></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="54" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.gif'); background-repeat: no-repeat;">
				<tr>
					<td class="footer" style="width: 100%; height: 100%; background-image: url('images/footer_r.gif'); background-position: right; background-repeat: no-repeat; padding: 0 100px 10px 270px ;">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="181" style="background-image: url('images/bbg.gif'); background-repeat: repeat-x;">
			<img src="images/bbg.jpg" border="0" alt=""/></TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td align="center" class="submenu-abg">
					<img src="images/submenu_lbullet.gif" border="0" alt=""/>
					<div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div>
				</td>
				<td class="asubmenu" style="padding-left: 25px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 30px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></td>
					<td style="padding-left: 25px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 30px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="3" style="height: 3px; background-color: #ffffff;"></td></tr>
	</xsl:if>
</xsl:template>	

	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
