<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td width="34" align="left" background="images/00_02.jpg"><img src="images/00_01.jpg" width="34" height="68" alt="" /></td>
      <td colspan="3" align="center" background="images/00_02.jpg">  
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
         <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->
	  </td>
      <td width="35" align="right" background="images/00_02.jpg"><img src="images/00_04.jpg" width="35" height="68" alt="" /></td>
    </tr>
    <tr>
      <td colspan="2" align="right" background="images/00_05.jpg">
	  <table width="100%" height="258"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td valign="top" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right; padding-top: 20px;
	padding-right: 80px;
	padding-left: 40px;">
<!-- LOGO -->
	<table width="250" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="35" rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
              <td width="215" class="company"  valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            </tr>
            <tr>
              <td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
            </tr>
          </table>
		<!-- END LOGO -->
		  </td>
        </tr>
      </table>
	  </td>
      <td height="258" colspan="3" align="left" background="images/00_09.jpg"><table width="100%" height="127"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="258" style="background-image: url(images/00_07.jpg);
	background-repeat: no-repeat;
	background-position: left top;"></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td bgcolor="#9C0000"></td>
      <td width="100%" height="100%" align="left" valign="top" bgcolor="#9C0000" style="padding-right: 20px; ">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/00_15.jpg" width="23" height="19" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
	<!-- END CONTENT -->
	  </td>
      <td colspan="2" align="center" valign="top" bgcolor="#9C0000" style="background-image: url(images/00_11.jpg);
	background-repeat: no-repeat;
	background-position: left top; padding-right: 20px;
	padding-left: 20px; "><table width="180" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="40"></td>
        </tr>
        <tr>
          <td><img src="images/t.jpg" width="180" height="30" /></td>
        </tr>
        <tr>
          <td width="180" height="100" align="center" valign="top" background="images/z.jpg">
<!-- SUBMENU -->
		  <table width="140" border="0" cellspacing="0" cellpadding="0">
             <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
          </table>
<!-- END SUBMENU -->
		  </td>
        </tr>
        <tr>
          <td><img src="images/d.jpg" width="180" height="30" /></td>
        </tr>
        <tr>
          <td height="40"></td>
        </tr>
      </table></td>
      <td bgcolor="#9C0000"></td>
    </tr>
    <tr>
      <td align="left" background="images/00_33.jpg"><img src="images/00_32.jpg" width="34" height="70" alt="" /></td>
      <td colspan="3" background="images/00_33.jpg" class="footer">
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
	  </td>
      <td align="right" background="images/00_33.jpg"><img src="images/00_36.jpg" width="35" height="70" alt="" /></td>
    </tr>
  </table>
</center>

	<!--sw_sb_ms-->
	</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
              <td width="25" align="center"><img src="images/00_25.jpg" width="11" height="12" alt="" /></td>
              <td width="115" align="right" class="asubmenu" ><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>

		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
              <td width="25" align="center"><img src="images/00_25.jpg" width="11" height="12" alt="" /></td>
              <td width="115" align="right" ><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
             <tr>
              <td height="10"></td>
              </tr>
             <tr>
              <td colspan="2"><img src="images/00_29.jpg" width="155" height="1" alt="" /></td>
              </tr>
             <tr>
              <td height="10"></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
           </xsl:when>
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
