<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-image: url('images/main-bg.gif');" summary="">
	<TR>
		<TD height="77" style="background-image: url('images/logo_r.jpg'); background-position: bottom right; background-repeat: no-repeat; padding: 0 321px 0 70px;">
			<!-- LOGO -->
			<table cellpadding="0" cellspacing="0" summary="">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
			<!-- END LOGO -->
		</TD>
	</TR>
	<TR>
		<TD height="119">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td valign="bottom" style="padding-left: 6px;"><img src="images/menu_l.jpg" border="0" alt=""/></td>
					<td width="100%" style="background-color:  #E6E6E6; background-image:  url('images/menu_r.jpg'); background-position: right; background-repeat: no-repeat; padding: 0 90px 0 5px;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td style="padding-left: 6px;"><img src="images/lbg.jpg" border="0" alt=""/></td>
					<td width="100%" bgcolor="#E6E6E6" class="pageContent" style="padding: 0 20px;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%;">
							<tr>
								<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
								<td width="100%" style="background-image: url('images/txtheader_hr.gif'); background-position: bottom; background-repeat: repeat-x;"></td>
								<td class="text-header"><xsl:call-template name="TEXT-HEADER"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template></td>
							</tr>
						</table>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
					<td style="background-image: url('images/rbg.gif'); background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 217px;">
							<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
							<tr>
								<td valign="top" style="background-image: url('images/submenu_bg.gif'); background-repeat: repeat-y; padding: 0 11px 0 2px;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="100%" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
							<tr><td><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="344" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_l.jpg'); background-repeat: no-repeat;">
				<tr>
					<td valign="bottom" class="footer" style="background-image: url('images/footer_r.jpg'); background-position: right; background-repeat: no-repeat; padding: 0 0 20px 370px;">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding: 0 10px;"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-right: 5px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td style="width: 100%; background-image: url('images/submenu_ahr.gif'); background-position: bottom; background-repeat: repeat-x;"></td>
				<td valign="bottom" class="asubmenu" style="padding: 0 10px 0 5px"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding: 0 10px;"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-right: 5px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td style="width: 100%; background-image: url('images/submenu_hr.gif'); background-position: bottom; background-repeat: repeat-x;"></td>
					<td valign="bottom" style="padding: 0 10px 0 5px"><a href="{@HREF}" class="submenu"><xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="4" style="height: 28px;"><div style="width:100%; height:1px; background-color: #B7B79A;"><spacer type="block" width="100%" height="1"/></div></td></tr>
	</xsl:if>
</xsl:template>


<xsl:template name="TEXT-HEADER">
	<xsl:param name="pageID"/>
	<xsl:apply-templates select="//MENU/MENU-ITEM" mode="txtheader"/>
	<xsl:apply-templates select="//MENU/MENU-ITEM/MENU-ITEM" mode="txtheader"/>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="txtheader">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<xsl:if test="position()&lt;10">0</xsl:if><xsl:value-of select="position()"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>



<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
