<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-color: white;" summary="">
	<TR>
		<TD height="63" style="background-image: url('images/top_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/top_rbg.gif'); background-position: right; background-repeat: no-repeat;">
				<tr><td style="background-image: url('images/top_lbg.gif'); background-position: top left; background-repeat: no-repeat;"></td></tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="183" style="background-image: url('images/header_bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/header_l.jpg'); background-position: top left; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
							<tr><td height="3"></td></tr>
							<tr>
								<td height="31" style="padding: 0 193px 0 187px;">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" align="center" summary="" style="height: 100%;">
										<tr>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
										</tr>
									</table>
									<!-- END MENU -->
								</td>
							</tr>
							<tr><td height="3"></td></tr>
							<tr>
								<td height="146" style="padding: 0 292px 0 144px;">
									<table cellpadding="0" cellspacing="0" border="0" summary="">
										<tr>
											<td align="center">
												<!-- LOGO -->
												<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a><br/>
												<span class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></span>
												<!-- END LOGO -->
												<div style="width:273px; height:1px;"><spacer type="block" width="273" height="1"/></div>
											</td>
											<td><span class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></span></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="63" bgcolor="#E2E2E2">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/txtheader_r.gif'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td class="text-header" style="background-image: url('images/txtheader_l.gif'); background-position: top left; background-repeat: no-repeat; padding-left: 340px;">
						<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" bgcolor="#E2E2E2">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td style="background-image: url('images/lbg.gif');"><img src="images/lbg.jpg" border="0" alt=""/></td>
					<td bgcolor="#D0D0D0" style="border-right: 2px solid #E9E9E9">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="100%" align="center" summary="">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
						<!-- END SUBMENU -->
						<div style="width:163px; height:1px;"><spacer type="block" width="163" height="1"/></div>
					</td>
					<td width="100%" valign="top" class="pageContent" style="padding: 0 25px 25px 25px;">
						<!-- CONTENT -->
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
					<td style="background-image: url('images/rbg.gif');"><img src="images/rbg.jpg" border="0" alt=""/></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="147" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/footer_r.gif'); background-position: right; background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/footer_l.gif'); background-position: bottom left; background-repeat: no-repeat; padding: 0 194px 0 150px;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
							<tr>
								<td height="35" valign="top">
									<!-- FOOTER -->
									<div align="center" class="footer" style="width: 160px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
									<!-- END FOOTER -->
								</td>
							</tr>
							<tr>
								<td height="30">
									<!-- BOTTOM MENU -->
									<table cellpadding="0" cellspacing="0" align="center" summary="" style="height: 100%;">
										<tr>
											<td width="60"><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
											<xsl:call-template name="BOTTOM-MENU"/>
											<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
										</tr>
									</table>
									<!-- END BOOTTOM MENU -->
								</td>
							</tr>
							<tr><td height="82"></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr class="submenu_abg">
				<td class="asubmenu" style="padding-left: 25px; width: 100%; height: 31px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 35px 0 5px"><img src="images/submenu_abullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 25px; width: 100%; height: 31px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 35px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" bgcolor="#EAEAEA" style="height: 1px;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td class="menu_abg"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu menu_abg"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
			<td><img src="images/separator.gif" border="0" alt=""/></td>
			<td width="10"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
