<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/main_bg.gif');" summary="">
	<TR>
		<TD height="30" align="right" class="url" style="padding-right: 17px;">
			<img src="images/url_bullet.gif" border="0" alt="" hspace="5"/><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/>
		</TD>
	</TR>
	<TR><TD height="6" style="background-image: url('images/menu_tbg.gif');"></TD></TR>
	<TR>
		<TD height="63" bgcolor="#FFFFFF">
			<table cellpadding="0" cellspacing="0" border="0" summary="">
				<tr>
					<td><div style="width:15px; height:0px;"><span></span></div></td>
					<td>
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" summary="">
							<tr>
								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
						<div style="width:200px; height:0px;"><span></span></div>
					</td>
					<td>
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								<td><img src="images/separator.gif" border="0" alt=""/></td>
								<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="6" style="background-image: url('images/menu_bbg.gif');"></TD></TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr valign="top">
					<td valign="bottom"><img src="images/header.gif" border="0" alt=""/></td>
					<td width="100%" style="padding: 50px 0;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%;">
							<tr valign="top">
								<td style="background-image: url('images/vline.gif');"><div style="width:1px; height:0px;"><span></span></div></td>
								<td width="100%" class="pageContent" style="padding: 0 30px 0 10px;">
									<!-- CONTENT -->
									<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
									<div style="width:0px; height:15px;"><span></span></div>
									<xsl:apply-templates select="PAGE-CONTENT"/>
									<!-- END CONTENT -->
								</td>
							</tr>
						</table>
					</td>
					<td style="padding: 80px 0 120px 0; background-image: url('images/submenu_bg.gif'); background-position: bottom right; background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" width="170px">
							<tr>
								<td style="background-image: url('images/vline.gif');"><div style="width:1px; height:0px;"><span></span></div></td>
								<td width="100%" style="padding: 5px 5px 25px 10px;">
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="100%" summary="">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
									</table>
									<!-- END SUBMENU -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="6" style="background-image: url('images/menu_tbg.gif');"><img src="images/bmenu_tl.gif" border="0" alt=""/></TD></TR>
	<TR>
		<TD height="63" style="padding-left: 250px; background-color: #ffffff; background-image: url('images/bmenu_bg.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" summary="">
				<tr>
					<td>
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td><img src="images/separator.gif" border="0" alt=""/></td>
								<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="BOTTOM-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
						</table>
						<!-- END BOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD height="6" style="background-image: url('images/menu_bbg.gif');"></TD></TR>
	<TR>
		<TD height="90" style="padding: 15px;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="height: 24px;">
				<tr>
					<td style="background-image: url('images/vline.gif'); background-repeat: repeat-y;"><div style="width:11px; height:0px;"><span></span></div></td>
					<td class="footer">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 20px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%; height: 20px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="5"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
				<td><a href="{@HREF}"><img src="images/bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
				<td><a href="{@HREF}"><img src="images/bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bullet.gif" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="40"><div style="width:5px; height:0px;"><span></span></div></td>
			<td><img src="images/separator.gif" border="0" alt=""/></td>
			<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
